using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Business
{
    /// <summary>
    /// 会务采购物品
    /// </summary>
    [SugarTable("Bus_ConfItem")]
    public class Bus_ConfItemInfo : EntityBase
    {
        /// <summary>
        /// 物料编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ItemId { get; set; }
        /// <summary>
        /// 清单Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ConfListId { get; set; }
        /// <summary>
        /// 采购数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Count { get; set; }
        /// <summary>
        /// 规格
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Specs { get; set; }

        /// <summary>
        /// 本次采购金额
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(9,2)")]
        public decimal CurrCost { get; set; }
        /// <summary>
        /// 操作备注
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(500)")]
        public string OpRemark { get; set; }
    }
}
